//**************************************************
// Correction de l'exercice Ex9.3.2
// v1.0 le 28/06/2018
// CAPAX SYSTEMS by INFO-CONSULT
//**************************************************
#include <Keypad.h>
#include <LiquidCrystal.h>
const int rs=34;
const int en=33;
const int d4=32;
const int d5=31;
const int d6=30;
const int d7=29;
LiquidCrystal lcd(rs,en,d4,d5,d6,d7);

const byte LIGNES = 4;
const byte COLONNES = 3;
char touches[LIGNES][COLONNES] = {
  {'1', '2', '3'},
  {'4', '5', '6'},
  {'7', '8', '9'},
  {'*', '0', '#'}
};
byte BrochesLignes[LIGNES] = {36, 39, 40, 38 };
byte BrochesColonnes[COLONNES] = {37, 35, 41};
Keypad clavier = Keypad( makeKeymap(touches), BrochesLignes, BrochesColonnes, LIGNES, COLONNES );
char InputKey;
int iInputKey;
int rem;

void setup() {
  lcd.begin(16,2);
}

void loop() {

  lcd.setCursor(0,0);
  lcd.print("Appuyer touche ?");
  
  InputKey=clavier.getKey();
  if (InputKey){
    switch (InputKey) {
      case '*':
        lcd.setCursor(0,1);
        lcd.print(InputKey);
        lcd.print(" : indefini");
        delay(2000);
        lcd.clear();
        break;

      case '#':
        lcd.setCursor(0,1);
        lcd.print(InputKey);
        lcd.print(" : indefini");
        delay(2000);
        lcd.clear();
        break;

      default:
        iInputKey = String(InputKey).toInt();
        rem = iInputKey%2;// L'opérateur '%' calcule le reste de la division euclidienne entre les 2 opérateurs
        if (rem == 0) {// le nombre est pair
          lcd.setCursor(0,1);
          lcd.print(InputKey);
          lcd.print(" : pair");
          delay(2000);
          lcd.clear();
        }
        else {// le nombre est impair
          lcd.setCursor(0,1);
          lcd.print(InputKey);
          lcd.print(" : impair");
          delay(2000);
          lcd.clear();
        }
      break;
    }
  }
}
