#include <Keypad.h>
const byte LIGNES = 4;  
const byte COLONNES = 3;
char touches[LIGNES][COLONNES] = {
  {'1', '2', '3'},
  {'4', '5', '6'},
  {'7', '8', '9'},
  {'*', '0', '#'}
  };
byte BrochesLignes[LIGNES] = {36, 39, 40, 38 };//Entrées numériques des lignes sur la carte ARDUINO MEGA
byte BrochesColonnes[COLONNES] = {37, 35, 41};//Entrées numériques des colonnes sur la carte ARDUINO MEGA
Keypad clavier = Keypad( makeKeymap(touches), BrochesLignes, BrochesColonnes, LIGNES, COLONNES );
char InputKey;

void setup() {
  Serial.begin(9600); // Initialisation du moniteur série
  }

void loop() {
// Le programme suivant affiche la touche appuyée sur le clavier
  InputKey = clavier.getKey(); // lecture de la touche appuyée
  if (InputKey) {              // Si réellement il y a une touche appuyée
    Serial.println(InputKey);  // affichage de la touche appuyée sur le moniteur série
  }
}



