//**************************************************
// Correction de l'exercice Ex9.3.1
// v1.0 le 28/06/2018
// CAPAX SYSTEMS by INFO-CONSULT
//**************************************************
#include <Keypad.h>
#include <LiquidCrystal.h>
const int rs=34;
const int en=33;
const int d4=32;
const int d5=31;
const int d6=30;
const int d7=29;
LiquidCrystal lcd(rs,en,d4,d5,d6,d7);

const byte LIGNES = 4;
const byte COLONNES = 3;
char touches[LIGNES][COLONNES] = {
  {'1', '2', '3'},
  {'4', '5', '6'},
  {'7', '8', '9'},
  {'*', '0', '#'}
};
byte BrochesLignes[LIGNES] = {36, 39, 40, 38 };
byte BrochesColonnes[COLONNES] = {37, 35, 41};
Keypad clavier = Keypad( makeKeymap(touches), BrochesLignes, BrochesColonnes, LIGNES, COLONNES );
char InputKey; 

void setup() {
  lcd.begin(16,2);
}

void loop() {

  lcd.setCursor(0,0);
  lcd.print("Appuyer sur :");
  lcd.setCursor(0,1);
  lcd.print("'*' ou '#'");
  
  InputKey=clavier.getKey();
  switch (InputKey) {
    case '*' :
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("Chiffres pair:");
    for (int i =0; i<=8;i=i+2){
      lcd.setCursor(i,1);
      lcd.print(i);
      if (i<8){
        lcd.print("/");
      }
      delay(500);
    }
    delay(3000);
    lcd.clear();
    break;

    case '#' :
    lcd.clear();
    lcd.setCursor(0,0);
    lcd.print("Chiffres impair:");
    for (int i =1; i<=9;i=i+2){
      lcd.setCursor(i-1,1);
      lcd.print(i);
      if (i<9){
        lcd.print("/");
      }
      delay(500);
    }
    delay(3000);
    lcd.clear();
    break;
  }
}
